aboutsummaryrefslogtreecommitdiffstats
path: root/make/fakefop
diff options
context:
space:
mode:
authorTuncer Ayaz <[email protected]>2010-03-29 02:04:00 +0200
committerTuncer Ayaz <[email protected]>2010-04-06 17:37:37 +0200
commitbdb41b943e42b4a550dbf4db6c9a2c1d4d242b43 (patch)
tree1b4800a7c4d8c045443793e5b4c52c886961c74b /make/fakefop
parent39e0191d985078d6e9c12c504370425f1de5a6c5 (diff)
downloadotp-bdb41b943e42b4a550dbf4db6c9a2c1d4d242b43.tar.gz
otp-bdb41b943e42b4a550dbf4db6c9a2c1d4d242b43.tar.bz2
otp-bdb41b943e42b4a550dbf4db6c9a2c1d4d242b43.zip
Build placeholder PDF files if FOP is not found
If FOP is not found create PDF files with fakefop script. Signed-off-by: Tuncer Ayaz <[email protected]>
Diffstat (limited to 'make/fakefop')
-rwxr-xr-xmake/fakefop99
1 files changed, 99 insertions, 0 deletions
diff --git a/make/fakefop b/make/fakefop
new file mode 100755
index 0000000000..ddda7a3762
--- /dev/null
+++ b/make/fakefop
@@ -0,0 +1,99 @@
+#!/bin/sh
+#
+# Copyright Tuncer Ayaz 2010. All Rights Reserved.
+#
+# %CopyrightBegin%
+# %CopyrightEnd%
+#
+# Author: Tuncer Ayaz
+#
+
+if [ $# -lt 4 ]
+then
+ echo "Usage: fakefop -fo IGNORED -pdf OUTFILE"
+ exit 1
+fi
+
+OUTFILE=$4
+NAME=`basename $4 .pdf`
+
+echo Write $OUTFILE
+cat > $OUTFILE <<EndOfFile
+%PDF-1.4
+1 0 obj
+ << /Type /Catalog
+ /Outlines 2 0 R
+ /Pages 3 0 R
+ >>
+endobj
+
+2 0 obj
+ << /Type /Outlines
+ /Count 0
+ >>
+endobj
+
+3 0 obj
+ << /Type /Pages
+ /Kids [4 0 R]
+ /Count 1
+ >>
+endobj
+
+4 0 obj
+ << /Type /Page
+ /Parent 3 0 R
+ /MediaBox [0 0 612 492]
+ /Contents 5 0 R
+ /Resources << /ProcSet 6 0 R
+ /Font << /F1 7 0 R >>
+ >>
+ >>
+endobj
+
+5 0 obj
+ << /Length 73 >>
+stream
+ BT
+ /F1 24 Tf
+ 10 400 Td
+ ($NAME) Tj
+ ET
+ BT
+ /F1 24 Tf
+ 10 350 Td
+ (\(placeholder PDF generated without FOP\)) Tj
+ ET
+endstream
+endobj
+
+6 0 obj
+ [/PDF /Text]
+endobj
+7 0 obj
+ << /Type /Font
+ /Subtype /Type1
+ /Name /F1
+ /BaseFont /Helvetica
+ /Encoding /MacRomanEncoding
+ >>
+endobj
+xref
+0 8
+0000000000 65535 f
+0000000009 00000 n
+0000000074 00000 n
+0000000120 00000 n
+0000000179 00000 n
+0000000364 00000 n
+0000000466 00000 n
+0000000496 00000 n
+
+trailer
+ << /Size 8
+ /Root 1 0 R
+ >>
+startxref
+625
+%%EOF
+EndOfFile